Récupérer un panier
curl --request GET \
--url https://api.maketou.net/api/v1/stores/cart/{cartId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maketou.net/api/v1/stores/cart/{cartId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maketou.net/api/v1/stores/cart/{cartId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fd2d91d7-20d2-4b86-b067-d474fb0d1e60",
"createdAt": "2025-11-28T14:27:00.805Z",
"updatedAt": "2025-11-28T14:27:00.805Z",
"paymentId": "4d729bf5-ef1e-4f7f-bf10-e63bd3db9b04",
"status": "waiting_payment",
"customerInfo": {
"lang": "fr-FR",
"email": "customer@example.com",
"phone": "+33612345678",
"lastName": "Doe",
"firstName": "John"
},
"meta": {
"userId": "ok"
}
}{
"code": "INVALID_PRODUCT",
"message": "The product is not available or does not belong to this store"
}{
"code": "INVALID_PRODUCT",
"message": "The product is not available or does not belong to this store"
}{
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry later."
}Récupérer un panier
Récupère un panier existant afin de vérifier son statut.
GET
/
api
/
v1
/
stores
/
cart
/
{cartId}
Récupérer un panier
Authorizations
Utilisez votre clé API de Maketou dans le header Authorization.
Path Parameters
Identifiant du panier.
Response
Panier récupéré.
Example:
"fd2d91d7-20d2-4b86-b067-d474fb0d1e60"
Example:
"2025-11-28T14:27:00.805Z"
Example:
"2025-11-28T14:27:00.805Z"
Statut du panier.
Available options:
waiting_payment, completed, abandoned, payment_failed Show child attributes
Show child attributes
Example:
"4d729bf5-ef1e-4f7f-bf10-e63bd3db9b04"
Show child attributes
Show child attributes
Example:
{ "userId": "ok" }
⌘I

